<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_ResDesc Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_ResDesc Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResType.html">Resource Type</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_ResDesc" -->Handle to a Resource.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top">unsigned int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ResDesc.html#8fffc8bd17e838ce866a225ffe14ce02">resId</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">EDMA3_RM_ResType</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__ResDesc.html#3d13077eac87394e8c0721e6346c3716">type</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
Handle to a Resource. <hr><h2>Field Documentation</h2>
<a class="anchor" name="8fffc8bd17e838ce866a225ffe14ce02"></a><!-- doxytag: member="EDMA3_RM_ResDesc::resId" ref="8fffc8bd17e838ce866a225ffe14ce02" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned int <a class="el" href="structEDMA3__RM__ResDesc.html#8fffc8bd17e838ce866a225ffe14ce02">EDMA3_RM_ResDesc::resId</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Id Range of resId values : As an example, for resource Type = EDMA3_RM_RES_DMA_CHANNEL, resId can take values from 0 to EDMA3_MAX_DMA_CH Or resId can take the value EDMA3_RM_RES_ANY. 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<a class="anchor" name="3d13077eac87394e8c0721e6346c3716"></a><!-- doxytag: member="EDMA3_RM_ResDesc::type" ref="3d13077eac87394e8c0721e6346c3716" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Edma3ResType.html#g05b92650ee862481552b709fe0f4f904">EDMA3_RM_ResType</a> <a class="el" href="structEDMA3__RM__ResDesc.html#3d13077eac87394e8c0721e6346c3716">EDMA3_RM_ResDesc::type</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Resource Type 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03707">EDMA3_RM_allocContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02086">EDMA3_RM_allocLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01111">EDMA3_RM_allocResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04269">EDMA3_RM_freeContiguousResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l02715">EDMA3_RM_freeLogicalChannel()</a>, <a class="el" href="edma3resmgr_8c_source.html#l01718">EDMA3_RM_freeResource()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05006">EDMA3_RM_getPaRAM()</a>, <a class="el" href="edma3resmgr_8c_source.html#l05179">EDMA3_RM_getPaRAMPhyAddr()</a>, <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, <a class="el" href="edma3resmgr_8c_source.html#l04842">EDMA3_RM_setPaRAM()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3__rm_8h_source.html">edma3_rm.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
